Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_IceAge.pro
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_IceAge.pro	(revision 4529)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_IceAge.pro	(revision 4559)
@@ -1,3 +1,3 @@
-pro std_plot_IceAge, Iage1, Iage2, ARC = arc, ANT = ant, FEBR = febr, MARCH = march, SEPT = sept, POSTSCRIPT = postscript, _extra = ex
+pro std_plot_IceAge, Iage1, Iage2, Ifra1, Ifra2, ARC = arc, ANT = ant, FEBR = febr, MARCH = march, SEPT = sept, POSTSCRIPT = postscript, _extra = ex
 
   compile_opt idl2, strictarrsubs
@@ -50,4 +50,7 @@
 ;
   title = var+'!C'+std_file1_I
+  
+  Iage1.arr = Iage1.arr * ( Ifra1.arr gt 0.15 )
+ 
   plt, Iage1.arr - 1.E-04, MIN = vmin, MAX = vmax, INTER = vint, /STRICTFILL, CELL_FILL = 2, format = fmt $
        , small = [1, 2, 1], COAST_THICK = 2, TITLE = title, divisions = div  $
@@ -56,4 +59,7 @@
   if std_file1_I NE std_file2_I then begin            
     title = title + std_file2_I
+ 
+    Iage2.arr = Iage2.arr * ( Ifra2.arr gt 0.15 )
+  
     plt, Iage1.arr - Iage2.arr, MIN = vmind, MAX = vmaxd, INTER = vintd, STYLE = 'so0so', format = fmtd $
          , small = [1, 2, 2], COAST_THICK = 2, CELL_FILL = 2, TITLE = title  $
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_IceFrac.pro
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_IceFrac.pro	(revision 4529)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_IceFrac.pro	(revision 4559)
@@ -32,5 +32,6 @@
 ;
   title = var+'!C'+std_file1_I
-  plt, (Ifra1.arr < 1. ) - 1.E-04, MIN = 0., MAX = 1., INTER = .1, /STRICTFILL, CELL_FILL = 2, format = '(f4.1)' $
+  Ifra1.arr = Ifra1.arr * ( Ifra1.arr gt 0.15 )
+  plt, Ifra1.arr - 1.E-04, MIN = 0., MAX = 1., INTER = .1, /STRICTFILL, CELL_FILL = 2, format = '(f4.1)' $
        , small = [1, 2, 1], COAST_THICK = 2, TITLE = title $
        , CHARSIZE = 1.05, GLINETHICK = 2., /ORTHO, MAP = map, /PORTRAIT, _extra = ex
@@ -38,4 +39,5 @@
   if std_file1_I NE std_file2_I then begin            
     title = title + std_file2_I
+    Ifra2.arr = Ifra2.arr * ( Ifra2.arr gt 0.15 )
     plt, Ifra1.arr - Ifra2.arr, MIN = -1, MAX = 1, INTER = .1, STYLE = 'so0so', format = '(f4.1)' $
          , small = [1, 2, 2], COAST_THICK = 2, CELL_FILL = 2, TITLE = title $
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_IceSal.pro
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_IceSal.pro	(revision 4529)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_IceSal.pro	(revision 4559)
@@ -1,3 +1,3 @@
-pro std_plot_IceSal, Isal1, Isal2, ARC = arc, ANT = ant, FEBR = febr, MARCH = march, SEPT = sept, POSTSCRIPT = postscript, _extra = ex
+pro std_plot_IceSal, Isal1, Isal2, Ifra1, Ifra2, ARC = arc, ANT = ant, FEBR = febr, MARCH = march, SEPT = sept, POSTSCRIPT = postscript, _extra = ex
 
   compile_opt idl2, strictarrsubs
@@ -32,5 +32,7 @@
   ;
    title = var+'!C'+std_file1_I
-   plt, Isal1.arr - 1.E-04, MIN = 0., MAX = 12., INTER = 1., /STRICTFILL, CELL_FILL = 2, format = '(f4.1)' $
+
+   Isal1.arr = Isal1.arr * ( Ifra1.arr gt 0.15 )
+   plt, Isal1.arr - 1.E-04, MIN = 0., MAX = 10., INTER = 1., /STRICTFILL, CELL_FILL = 2, format = '(f4.1)' $
         , small = [1, 2, 1], COAST_THICK = 2, TITLE = title $
         , CHARSIZE = 1.05, GLINETHICK = 2., /ORTHO, MAP = map, /PORTRAIT, _extra = ex
@@ -38,5 +40,8 @@
    if std_file1_I NE std_file2_I then begin
      title = title + std_file2_I
-     plt, Isal1.arr - Isal2.arr, MIN = -4, MAX = 4, INTER = 1., STYLE = 'so0so', format = '(f4.1)' $
+     
+     Isal2.arr = Isal2.arr * ( Ifra2.arr gt 0.15 )
+     
+     plt, Isal1.arr - Isal2.arr, MIN = -2., MAX = 2., INTER = 1., STYLE = 'so0so', format = '(f4.1)' $
           , small = [1, 2, 2], COAST_THICK = 2, CELL_FILL = 2, TITLE = title $
           , CHARSIZE = 1.05, GLINETHICK = 2., /ORTHO, MAP = map, /NOERASE, _extra = ex
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_IceThick.pro
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_IceThick.pro	(revision 4529)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_IceThick.pro	(revision 4559)
@@ -1,3 +1,3 @@
-pro std_plot_IceThick, Ithi1, Ithi2, ARC = arc, ANT = ant, APRIL = april, JAN = jan, SEPT = sept, POSTSCRIPT = postscript, _extra = ex
+pro std_plot_IceThick, Ithi1, Ithi2, Ifra1, Ifra2, ARC = arc, ANT = ant, APRIL = april, JAN = jan, SEPT = sept, POSTSCRIPT = postscript, _extra = ex
 
   compile_opt idl2, strictarrsubs
@@ -50,4 +50,7 @@
 ;
   title = var+'!C'+std_file1_I
+
+  Ithi1.arr = Ithi1.arr * ( Ifra1.arr gt 0.15 )
+ 
   plt, (Ithi1.arr < 10. ) - 1.E-04, MIN = vmin, MAX = vmax, INTER = vint, /STRICTFILL, CELL_FILL = 2, format = fmt $
        , small = [1, 2, 1], COAST_THICK = 2, TITLE = title, divisions = div  $
@@ -56,4 +59,7 @@
   if std_file1_I NE std_file2_I then begin            
     title = title + std_file2_I
+
+    Ithi2.arr = Ithi2.arr * ( Ifra2.arr gt 0.15 )
+
     plt, Ithi1.arr - Ithi2.arr, MIN = vmind, MAX = vmaxd, INTER = vintd, STYLE = 'so0so', format = fmtd $
          , small = [1, 2, 2], COAST_THICK = 2, CELL_FILL = 2, TITLE = title  $
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_SnowThick.pro
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_SnowThick.pro	(revision 4529)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_SnowThick.pro	(revision 4559)
@@ -1,3 +1,3 @@
-pro std_plot_SnowThick, Isnow1, Isnow2, ARC = arc, ANT = ant, FEBR = febr, MARCH = march, SEPT = sept, POSTSCRIPT = postscript, _extra = ex
+pro std_plot_SnowThick, Isnow1, Isnow2, Ifra1, Ifra2, ARC = arc, ANT = ant, FEBR = febr, MARCH = march, SEPT = sept, POSTSCRIPT = postscript, _extra = ex
 
   compile_opt idl2, strictarrsubs
@@ -50,4 +50,7 @@
 ;
   title = var+'!C'+std_file1_I
+  
+  Isnow1.arr = Isnow1.arr * ( Ifra1.arr gt 0.15 )
+  
   plt, (Isnow1.arr < 10. ) - 1.E-04, MIN = vmin, MAX = vmax, INTER = vint, /STRICTFILL, CELL_FILL = 2, format = fmt $
        , small = [1, 2, 1], COAST_THICK = 2, TITLE = title $
@@ -56,4 +59,7 @@
   if std_file1_I NE std_file2_I then begin            
     title = title + std_file2_I
+   
+    Isnow2.arr = Isnow2.arr * ( Ifra2.arr gt 0.15 )
+     
     plt, Isnow1.arr - Isnow2.arr, MIN = vmind, MAX = vmaxd, INTER = vintd, STYLE = 'so0so', format = fmtd $
          , small = [1, 2, 2], COAST_THICK = 2, CELL_FILL = 2, TITLE = title $
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all.pro
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all.pro	(revision 4529)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all.pro	(revision 4559)
@@ -36,4 +36,5 @@
 ;
   allrec =  1 - keyword_set(long(getenv('READ_ONLY_FIRST_RECORD')))
+  
 ; Output run experience1
   std_file1_T     = isafile(getenv('FILE1_T'), title = 'exp1 grid T input file', iodir = std_iodir_data)
@@ -192,36 +193,14 @@
   ENDELSE
 ;
-  Iage_1 = read_ncdf(getenv('VAR1_Iage'), allrecords = allrec, filename = std_file1_I ) 
-  caldat, time, mm
-  febr = where(mm EQ 2, cnt)
-  Iage_febr_1 = {arr:1./float(cnt) * total(reform(Iage_1.arr[*, *, temporary(febr)],nxt,nyt,cnt), 3), unit:Iage_1.unit}
-  march = where(mm EQ 3, cnt)
-  Iage_march_1 = {arr:1./float(cnt) * total(reform(Iage_1.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Iage_1.unit}
-  sept = where(mm EQ 9, cnt)
-  Iage_sept_1 = {arr:1./float(cnt) * total(reform(Iage_1.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Iage_1.unit} 
-  undefine, Iage_1
-;
-  IF std_file2_I NE std_file1_I THEN BEGIN
-     Iage_2 = read_ncdf(getenv('VAR2_Iage'), allrecords = allrec, filename = std_file2_I ) 
-     caldat, time, mm
-     febr = where(mm EQ 2, cnt)
-     Iage_febr_2 = {arr:1./float(cnt) * total(reform(Iage_2.arr[*, *, temporary(febr)],nxt,nyt,cnt), 3), unit:Iage_2.unit} 
-     march = where(mm EQ 3, cnt)
-     Iage_march_2 = {arr:1./float(cnt) * total(reform(Iage_2.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Iage_2.unit} 
-     sept = where(mm EQ 9, cnt)
-     Iage_sept_2 = {arr:1./float(cnt) * total(reform(Iage_2.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Iage_2.unit} 
-     undefine, Iage_2
-  ENDIF ELSE BEGIN 
-     Iage_febr_2 = {arr:-1}
-     Iage_march_2 = {arr:-1}
-     Iage_sept_2 = {arr:-1}
-  ENDELSE
-;
   Ifra_1 = read_ncdf(getenv('VAR1_Ifrac'), allrecords = allrec, filename = std_file1_I ) 
   caldat, time, mm
+  jan = where(mm EQ 1, cnt)
+  Ifra_jan_1 = {arr:1./float(cnt) * total(reform(Ifra_1.arr[*, *, temporary(jan)],nxt,nyt,cnt), 3), unit:Ifra_1.unit} 
   febr = where(mm EQ 2, cnt)
   Ifra_febr_1 = {arr:1./float(cnt) * total(reform(Ifra_1.arr[*, *, temporary(febr)],nxt,nyt,cnt), 3), unit:Ifra_1.unit} 
   march = where(mm EQ 3, cnt)
   Ifra_march_1 = {arr:1./float(cnt) * total(reform(Ifra_1.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Ifra_1.unit} 
+  april = where(mm EQ 4, cnt)
+  Ifra_april_1 = {arr:1./float(cnt) * total(reform(Ifra_1.arr[*, *, temporary(april)],nxt,nyt,cnt), 3), unit:Ifra_1.unit} 
   sept = where(mm EQ 9, cnt)
   Ifra_sept_1 = {arr:1./float(cnt) * total(reform(Ifra_1.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Ifra_1.unit}
@@ -231,14 +210,20 @@
     Ifra_2 = read_ncdf(getenv('VAR2_Ifrac'), allrecords = allrec, filename = std_file2_I ) 
     caldat, time, mm
+    jan = where(mm EQ 1, cnt)
+    Ifra_jan_2 = {arr:1./float(cnt) * total(reform(Ifra_2.arr[*, *, temporary(jan)],nxt,nyt,cnt), 3), unit:Ifra_2.unit}
     febr = where(mm EQ 2, cnt)
     Ifra_febr_2 = {arr:1./float(cnt) * total(reform(Ifra_2.arr[*, *, temporary(febr)],nxt,nyt,cnt), 3), unit:Ifra_2.unit}
     march = where(mm EQ 3, cnt)
     Ifra_march_2 = {arr:1./float(cnt) * total(reform(Ifra_2.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Ifra_2.unit}
+    april = where(mm EQ 4, cnt)
+    Ifra_april_2 = {arr:1./float(cnt) * total(reform(Ifra_2.arr[*, *, temporary(april)],nxt,nyt,cnt), 3), unit:Ifra_2.unit}
     sept = where(mm EQ 9, cnt)
     Ifra_sept_2 = {arr:1./float(cnt) * total(reform(Ifra_2.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Ifra_2.unit}
     undefine, Ifra_2
   ENDIF ELSE BEGIN 
+    Ifra_jan_2 = {arr:-1} 
     Ifra_febr_2 = {arr:-1}
     Ifra_march_2 = {arr:-1}
+    Ifra_april_2 = {arr:-1}
     Ifra_sept_2 = {arr:-1}
   ENDELSE
@@ -271,16 +256,16 @@
 ;
    Isal_1 = read_ncdf(getenv('VAR1_Isal'), allrecords = allrec, filename = std_file1_I ) 
-   Ifra_1 = read_ncdf(getenv('VAR1_Ifrac'), allrecords = allrec, filename = std_file1_I )
-   msk = Ifra_1.arr gt 0.15 ; remove 0.15% for observations 
-   help, Ifra_1
-   help, mask
+;SF  ready for mask : remove 0.15% for observations
+;SF
+;SF   Ifra_1 = read_ncdf(getenv('VAR1_Ifrac'), allrecords = allrec, filename = std_file1_I )
+;SF   msk = Ifra_1.arr gt 0.15 ; remove 0.15% for observations 
    caldat, time, mm
    march = where(mm EQ 3, cnt)
    febr = where(mm EQ 2, cnt)
-   ;SF  Isal_march_1 = {arr:1./float(cnt) * total(reform(Isal_1.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Isal_1.unit} 
-   Isal_1.arr = Isal_1.arr * msk
-   help, Isal_1
    Isal_march_1 = {arr:1./float(cnt) * total(reform(Isal_1.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Isal_1.unit} 
-   help, Isal_march_1
+;SF
+;SF   Isal_1.arr = Isal_1.arr * msk
+;SF 
+;SF   Isal_march_1 = {arr:1./float(cnt) * total(reform(Isal_1.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Isal_1.unit} 
    Isal_febr_1 = {arr:1./float(cnt) * total(reform(Isal_1.arr[*, *, temporary(febr)],nxt,nyt,cnt), 3), unit:Isal_1.unit} 
    sept = where(mm EQ 9, cnt)
@@ -289,9 +274,5 @@
  ;
    Isal_2 = read_ncdf(getenv('VAR2_Isal'), allrecords = allrec, filename = std_file2_I ) 
-   Ifra_2 = read_ncdf(getenv('VAR2_Ifrac'), allrecords = allrec, filename = std_file2_I )
-   msk = Ifra_2.arr gt 0.15 ; remove 0.15% for observations 
    IF std_file2_I NE std_file1_I THEN BEGIN
-     Isal_2 = read_ncdf(getenv('VAR2_Isal'), allrecords = allrec, filename = std_file2_I ) 
-     Isal_2.arr = Isal_2.arr * msk
      caldat, time, mm
      march = where(mm EQ 3, cnt)
@@ -307,4 +288,77 @@
      Isal_sept_2 = {arr:-1}
    ENDELSE
+;
+  IvelU_1 = read_ncdf(getenv('VAR1_IvelU'), allrecords = allrec, filename = std_file1_I ) 
+  IvelV_1 = read_ncdf(getenv('VAR1_IvelV'), allrecords = allrec, filename = std_file1_I ) 
+  Ivelo_1 = read_ncdf(getenv('VAR1_Ivelo'), allrecords = allrec, filename = std_file1_I ) 
+  caldat, time, mm
+  febr = where(mm EQ 2, cnt)
+  IvelU_febr_1 = {arr:1./float(cnt) * total(reform(IvelU_1.arr[*, *, febr],nxt,nyt,cnt), 3), unit:IvelU_1.unit, g: 'T'}
+  IvelV_febr_1 = {arr:1./float(cnt) * total(reform(IvelV_1.arr[*, *, febr],nxt,nyt,cnt), 3), unit:IvelV_1.unit, g: 'T'}
+  Ivelo_febr_1 = {arr:1./float(cnt) * total(reform(Ivelo_1.arr[*, *, febr],nxt,nyt,cnt), 3), unit:Ivelo_1.unit, g: 'T'} 
+  march = where(mm EQ 3, cnt)
+  IvelU_march_1 = {arr:1./float(cnt) * total(reform(IvelU_1.arr[*, *, march],nxt,nyt,cnt), 3), unit:IvelU_1.unit, g: 'T'}
+  IvelV_march_1 = {arr:1./float(cnt) * total(reform(IvelV_1.arr[*, *, march],nxt,nyt,cnt), 3), unit:IvelV_1.unit, g: 'T'}
+  Ivelo_march_1 = {arr:1./float(cnt) * total(reform(Ivelo_1.arr[*, *, march],nxt,nyt,cnt), 3), unit:Ivelo_1.unit, g: 'T'} 
+  sept = where(mm EQ 9, cnt)
+  IvelU_sept_1 = {arr:1./float(cnt) * total(reform(IvelU_1.arr[*, *, sept],nxt,nyt,cnt), 3), unit:IvelU_1.unit, g: 'T'}
+  IvelV_sept_1 = {arr:1./float(cnt) * total(reform(IvelV_1.arr[*, *, sept],nxt,nyt,cnt), 3), unit:IvelV_1.unit, g: 'T'}
+  Ivelo_sept_1 = {arr:1./float(cnt) * total(reform(Ivelo_1.arr[*, *, sept],nxt,nyt,cnt), 3), unit:Ivelo_1.unit, g: 'T'}
+;
+  IF std_file2_I NE std_file1_I THEN BEGIN
+    IvelU_2 = read_ncdf(getenv('VAR2_IvelU'), allrecords = allrec, filename = std_file2_I ) 
+    IvelV_2 = read_ncdf(getenv('VAR2_IvelV'), allrecords = allrec, filename = std_file2_I ) 
+    Ivelo_2 = read_ncdf(getenv('VAR2_Ivelo'), allrecords = allrec, filename = std_file2_I ) 
+    caldat, time, mm
+    febr = where(mm EQ 2, cnt)
+    IvelU_febr_2 = {arr:1./float(cnt) * total(reform(IvelU_2.arr[*, *, febr],nxt,nyt,cnt), 3), unit:IvelU_2.unit}
+    IvelV_febr_2 = {arr:1./float(cnt) * total(reform(IvelV_2.arr[*, *, febr],nxt,nyt,cnt), 3), unit:IvelV_2.unit}
+    Ivelo_febr_2 = {arr:1./float(cnt) * total(reform(Ivelo_2.arr[*, *, febr],nxt,nyt,cnt), 3), unit:Ivelo_2.unit}
+    march = where(mm EQ 3, cnt)
+    IvelU_march_2 = {arr:1./float(cnt) * total(reform(IvelU_2.arr[*, *, march],nxt,nyt,cnt), 3), unit:IvelU_2.unit}
+    IvelV_march_2 = {arr:1./float(cnt) * total(reform(IvelV_2.arr[*, *, march],nxt,nyt,cnt), 3), unit:IvelV_2.unit}
+    Ivelo_march_2 = {arr:1./float(cnt) * total(reform(Ivelo_2.arr[*, *, march],nxt,nyt,cnt), 3), unit:Ivelo_2.unit}
+    sept = where(mm EQ 9, cnt)
+    IvelU_sept_2 = {arr:1./float(cnt) * total(reform(IvelU_2.arr[*, *, sept],nxt,nyt,cnt), 3), unit:IvelU_2.unit}
+    IvelV_sept_2 = {arr:1./float(cnt) * total(reform(IvelV_2.arr[*, *, sept],nxt,nyt,cnt), 3), unit:IvelV_2.unit}   
+    Ivelo_sept_2 = {arr:1./float(cnt) * total(reform(Ivelo_2.arr[*, *, sept],nxt,nyt,cnt), 3), unit:Ivelo_2.unit}
+    undefine, Ifra_2
+  ENDIF ELSE BEGIN 
+    IvelU_febr_2 = {arr:-1}
+    IvelV_febr_2 = {arr:-1}
+    Ivelo_febr_2 = {arr:-1}
+    IvelU_march_2 = {arr:-1}
+    IvelV_march_2 = {arr:-1}
+    Ivelo_march_2 = {arr:-1}
+    IvelU_sept_2 = {arr:-1}
+    IvelV_sept_2 = {arr:-1}
+    Ivelo_sept_2 = {arr:-1}
+  ENDELSE
+;
+  Iage_1 = read_ncdf(getenv('VAR1_Iage'), allrecords = allrec, filename = std_file1_I ) 
+  caldat, time, mm
+  febr = where(mm EQ 2, cnt)
+  Iage_febr_1 = {arr:1./float(cnt) * total(reform(Iage_1.arr[*, *, temporary(febr)],nxt,nyt,cnt), 3), unit:Iage_1.unit}
+  march = where(mm EQ 3, cnt)
+  Iage_march_1 = {arr:1./float(cnt) * total(reform(Iage_1.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Iage_1.unit}
+  sept = where(mm EQ 9, cnt)
+  Iage_sept_1 = {arr:1./float(cnt) * total(reform(Iage_1.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Iage_1.unit} 
+  undefine, Iage_1
+;
+  IF std_file2_I NE std_file1_I THEN BEGIN
+     Iage_2 = read_ncdf(getenv('VAR2_Iage'), allrecords = allrec, filename = std_file2_I ) 
+     caldat, time, mm
+     febr = where(mm EQ 2, cnt)
+     Iage_febr_2 = {arr:1./float(cnt) * total(reform(Iage_2.arr[*, *, temporary(febr)],nxt,nyt,cnt), 3), unit:Iage_2.unit} 
+     march = where(mm EQ 3, cnt)
+     Iage_march_2 = {arr:1./float(cnt) * total(reform(Iage_2.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Iage_2.unit} 
+     sept = where(mm EQ 9, cnt)
+     Iage_sept_2 = {arr:1./float(cnt) * total(reform(Iage_2.arr[*, *, temporary(sept)],nxt,nyt,cnt), 3), unit:Iage_2.unit} 
+     undefine, Iage_2
+  ENDIF ELSE BEGIN 
+     Iage_febr_2 = {arr:-1}
+     Iage_march_2 = {arr:-1}
+     Iage_sept_2 = {arr:-1}
+  ENDELSE
 ;
   jpt = 1
@@ -442,34 +496,13 @@
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_Med_Sspread, S1, S2, SLev, 1000, _extra = ex
 ;
-  cnt = cnt+1   &   blabla = 'Mediterranean water at lat=40°N'
+  cnt = cnt+1   &   blabla = 'Mediterranean water at lat=40¡ N'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_Med_Sdepth, S1, S2, SLev, 40, _extra = ex
 ;
-  cnt = cnt+1   &   blabla = 'Mediterranean water at lat=38°N'
+  cnt = cnt+1   &   blabla = 'Mediterranean water at lat=38¡ N'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_Med_Sdepth, S1, S2, SLev, 38, _extra = ex
 ;
-  cnt = cnt+1   &   blabla = 'Arctic Ice Thickness: JAN'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_jan_1, Ithi_jan_2, /ARC, /JAN, _extra = ex
-;
-  cnt = cnt+1   &   blabla = 'Arctic Ice Thickness: APRIL'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_april_1, Ithi_april_2, /ARC, /APRIL, _extra = ex
-;  
-  cnt = cnt+1   &   blabla = 'Antarctic Ice Thickness: APRIL'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_april_1, Ithi_april_2, /ANT, /APRIL, _extra = ex
-;
-  cnt = cnt+1   &   blabla = 'Antarctic Ice Thickness: SEPT'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_sept_1, Ithi_sept_2, /ANT, /SEPT, _extra = ex
-;
-  cnt = cnt+1   &   blabla = 'Arctic Ice Age: MARCH'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceAge, Iage_march_1, Iage_march_2, /ARC, /MARCH, _extra = ex
-;  
-  cnt = cnt+1   &   blabla = 'Arctic Ice Age: SEPT'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceAge, Iage_sept_1, Iage_sept_2, /ARC, /SEPT, _extra = ex
-;  
-  cnt = cnt+1   &   blabla = 'Antarctic Ice Age: MARCH'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceAge, Iage_febr_1, Iage_febr_2, /ANT, /FEBR, _extra = ex
-;
-  cnt = cnt+1   &   blabla = 'Antarctic Ice Age: SEPT'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceAge, Iage_sept_1, Iage_sept_2, /ANT, /SEPT, _extra = ex
-;
+;;
+; all plot are done for ice fraction > 0.15%
+;;
   cnt = cnt+1   &   blabla = 'Arctic Ice Fraction: MARCH'
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceFrac, Ifra_march_1, Ifra_march_2, /ARC, /MARCH, _extra = ex
@@ -484,28 +517,64 @@
   IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceFrac, Ifra_sept_1, Ifra_sept_2, /ANT, /SEPT, _extra = ex
 ;
+  cnt = cnt+1   &   blabla = 'Arctic Ice Thickness: JAN'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_jan_1, Ithi_jan_2, Ifra_jan_1, Ifra_jan_2, /ARC, /JAN, _extra = ex
+;
+  cnt = cnt+1   &   blabla = 'Arctic Ice Thickness: APRIL'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_april_1, Ithi_april_2, Ifra_april_1, Ifra_april_2, /ARC, /APRIL, _extra = ex
+;  
+  cnt = cnt+1   &   blabla = 'Antarctic Ice Thickness: APRIL'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_april_1, Ithi_april_2, Ifra_april_1, Ifra_april_2, /ANT, /APRIL, _extra = ex
+;
+  cnt = cnt+1   &   blabla = 'Antarctic Ice Thickness: SEPT'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceThick, Ithi_sept_1, Ithi_sept_2, Ifra_sept_1, Ifra_sept_2, /ANT, /SEPT, _extra = ex
+;
   cnt = cnt+1   &   blabla = 'Arctic SNOW Thickness: MARCH'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_march_1, Isnow_march_2, /ARC, /MARCH, _extra = ex
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_march_1, Isnow_march_2, Ifra_march_1, Ifra_march_2, /ARC, /MARCH, _extra = ex
 ; 
   cnt = cnt+1   &   blabla = 'Arctic SNOW Thickness: SEPT'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_sept_1, Isnow_sept_2, /ARC, /SEPT, _extra = ex
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_sept_1, Isnow_sept_2, Ifra_sept_1, Ifra_sept_2, /ARC, /SEPT, _extra = ex
 ;  
   cnt = cnt+1   &   blabla = 'Antarctic SNOW Thickness: MARCH'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_febr_1, Isnow_febr_2, /ANT, /FEBR, _extra = ex
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_febr_1, Isnow_febr_2, Ifra_febr_1, Ifra_febr_2, /ANT, /FEBR, _extra = ex
 ; 
   cnt = cnt+1   &   blabla = 'Antarctic SNOW Thickness: SEPT'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_sept_1, Isnow_sept_2, /ANT, /SEPT, _extra = ex
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_SnowThick, Isnow_sept_1, Isnow_sept_2, Ifra_sept_1, Ifra_sept_2, /ANT, /SEPT, _extra = ex
 ; 
   cnt = cnt+1   &   blabla = 'Arctic Ice Salinity: MARCH'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceSal, Isal_march_1, Isal_march_2, /ARC, /MARCH, _extra = ex
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceSal, Isal_march_1, Isal_march_2, Ifra_march_1, Ifra_march_2, /ARC, /MARCH, _extra = ex
 ; 
   cnt = cnt+1   &   blabla = 'Arctic Ice Salinity: SEPT'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceSal, Isal_sept_1, Isal_sept_2, /ARC, /SEPT, _extra = ex
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceSal, Isal_sept_1, Isal_sept_2, Ifra_sept_1, Ifra_sept_2, /ARC, /SEPT, _extra = ex
 ;  
   cnt = cnt+1   &   blabla = 'Antarctic Ice Salinity: FEBRUARY'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceSal, Isal_febr_1, Isal_febr_2, /ANT, /FEBR, _extra = ex
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceSal, Isal_febr_1, Isal_febr_2, Ifra_febr_1, Ifra_febr_2, /ANT, /FEBR, _extra = ex
 ; 
   cnt = cnt+1   &   blabla = 'Antarctic Ice Salinity: SEPT'
-  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceSal, Isal_sept_1, Isal_sept_2, /ANT, /SEPT, _extra = ex
-; 
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceSal, Isal_sept_1, Isal_sept_2, Ifra_sept_1, Ifra_sept_2, /ANT, /SEPT, _extra = ex
+; 
+  cnt = cnt+1   &   blabla = 'Arctic Ice Velocity: FEBRUARY'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceVel, IvelU_febr_1, IvelU_febr_2, IvelV_febr_1, IvelV_febr_2, Ivelo_febr_1, Ivelo_febr_2, /ARC, /FEBR, _extra = ex
+;
+  cnt = cnt+1   &   blabla = 'Arctic Ice Velocity: SEPT'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceVel, IvelU_sept_1, IvelU_sept_2, IvelV_sept_1, IvelV_sept_2, Ivelo_sept_1, Ivelo_sept_2, /ARC,  /SEPT, _extra = ex
+;
+  cnt = cnt+1   &   blabla = 'Antartic Ice Velocity: MARCH'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceVel, IvelU_march_1, IvelU_march_2, IvelV_march_1, IvelV_march_2, Ivelo_march_1, Ivelo_march_2, /ANT,  /MARCH, _extra = ex
+;
+  cnt = cnt+1   &   blabla = 'Antartic Ice Velocity: SEPT'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceVel, IvelU_sept_1, IvelU_sept_2, IvelV_sept_1, IvelV_sept_2, Ivelo_sept_1, Ivelo_sept_2, /ANT,  /SEPT, _extra = ex
+;
+  cnt = cnt+1   &   blabla = 'Arctic Ice Age: MARCH'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceAge, Iage_march_1, Iage_march_2, Ifra_march_1, Ifra_march_2, /ARC, /MARCH, _extra = ex
+;  
+  cnt = cnt+1   &   blabla = 'Arctic Ice Age: SEPT'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceAge, Iage_sept_1, Iage_sept_2,  Ifra_sept_1, Ifra_sept_2, /ARC, /SEPT, _extra = ex
+;  
+  cnt = cnt+1   &   blabla = 'Antarctic Ice Age: FEBR'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceAge, Iage_febr_1, Iage_febr_2, Ifra_febr_1, Ifra_febr_2, /ANT, /FEBR, _extra = ex
+;
+  cnt = cnt+1   &   blabla = 'Antarctic Ice Age: SEPT'
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_plot_IceAge, Iage_sept_1, Iage_sept_2,  Ifra_sept_1, Ifra_sept_2, /ANT, /SEPT, _extra = ex
+;
  
   IF n_elements(htmltxt) GT 1 THEN putfile, psdir+'std_plot_html_body.txt', htmltxt[1:*]
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all_1Y.pro
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all_1Y.pro	(revision 4529)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all_1Y.pro	(revision 4559)
@@ -273,6 +273,4 @@
    Ifra_1 = read_ncdf(getenv('VAR1_Ifrac'), allrecords = allrec, filename = std_file1_I )
    msk = Ifra_1.arr gt 0.15 ; remove 0.15% for observations 
-   help, Ifra_1
-   help, mask
    caldat, time, mm
    march = where(mm EQ 3, cnt)
@@ -280,7 +278,5 @@
    ;SF  Isal_march_1 = {arr:1./float(cnt) * total(reform(Isal_1.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Isal_1.unit} 
    Isal_1.arr = Isal_1.arr * msk
-   help, Isal_1
    Isal_march_1 = {arr:1./float(cnt) * total(reform(Isal_1.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Isal_1.unit} 
-   help, Isal_march_1
    Isal_febr_1 = {arr:1./float(cnt) * total(reform(Isal_1.arr[*, *, temporary(febr)],nxt,nyt,cnt), 3), unit:Isal_1.unit} 
    sept = where(mm EQ 9, cnt)
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all_last_year_5D.pro
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all_last_year_5D.pro	(revision 4529)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_all_last_year_5D.pro	(revision 4559)
@@ -289,6 +289,4 @@
    Ifra_1 = read_ncdf(getenv('VAR1_Ifrac'), allrecords = allrec, filename = std_file1_I )
    msk = Ifra_1.arr gt 0.15 ; remove 0.15% for observations 
-   help, Ifra_1
-   help, mask
    caldat, time, mm
    march = where(mm EQ 3, cnt)
@@ -296,7 +294,5 @@
    ;SF  Isal_march_1 = {arr:1./float(cnt) * total(reform(Isal_1.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Isal_1.unit} 
    Isal_1.arr = Isal_1.arr * msk
-   help, Isal_1
    Isal_march_1 = {arr:1./float(cnt) * total(reform(Isal_1.arr[*, *, temporary(march)],nxt,nyt,cnt), 3), unit:Isal_1.unit} 
-   help, Isal_march_1
    Isal_febr_1 = {arr:1./float(cnt) * total(reform(Isal_1.arr[*, *, temporary(febr)],nxt,nyt,cnt), 3), unit:Isal_1.unit} 
    sept = where(mm EQ 9, cnt)
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh	(revision 4529)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh	(revision 4559)
@@ -72,4 +72,7 @@
 VAR1_Isal=sisali
 VAR1_Iage=siages
+VAR1_IvelU=sivelu
+VAR1_IvelV=sivelv
+VAR1_Ivelo=sivelo
 #
 #===================== EXP2 =====================
@@ -92,4 +95,7 @@
 VAR2_Isal=sisali
 VAR2_Iage=siages
+VAR2_IvelU=sivelu
+VAR2_IvelV=sivelv
+VAR2_Ivelo=sivelo
 #
 ######################### Export Variables ###############################
@@ -115,9 +121,9 @@
 export VAR1_T      VAR1_S   VAR1_QNET VAR1_ERP VAR1_EMP VAR1_MLD 
 export VAR1_U      VAR1_V
-export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage
+export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage VAR1_IvelU VAR1_IvelV VAR1_Ivelo
 #===================== EXP2 =====================
 export FILE2_T     FILE2_U    FILE2_V   FILE2_I
 export VAR2_T      VAR2_S     VAR2_QNET VAR2_ERP VAR2_EMP VAR2_MLD 
 export VAR2_U      VAR2_V
-export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage
+export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage VAR2_IvelU VAR2_IvelV VAR2_Ivelo
 #
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.last_year_5D
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.last_year_5D	(revision 4529)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.last_year_5D	(revision 4559)
@@ -72,4 +72,7 @@
 VAR1_Isal=iicesali
 VAR1_Iage=iiceages
+VAR1_IvelU=iicevelu
+VAR1_IvelV=iicevelv
+VAR1_Ivelo=iicevelo
 #
 #===================== EXP2 =====================
@@ -92,4 +95,7 @@
 VAR2_Isal=iicesali
 VAR2_Iage=iiceages
+VAR2_IvelU=iicevelu
+VAR2_IvelV=iicevelv
+VAR2_Ivelo=iicevelo
 #
 ######################### Export Variables ###############################
@@ -115,9 +121,9 @@
 export VAR1_T      VAR1_S   VAR1_QNET VAR1_ERP VAR1_EMP VAR1_MLD 
 export VAR1_U      VAR1_V
-export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage
+export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage VAR1_IvelU VAR1_IvelV VAR1_Ivelo
 #===================== EXP2 =====================
 export FILE2_T     FILE2_U    FILE2_V   FILE2_I
 export VAR2_T      VAR2_S     VAR2_QNET VAR2_ERP VAR2_EMP VAR2_MLD 
 export VAR2_U      VAR2_V
-export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage
+export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage VAR2_IvelU VAR2_IvelV VAR2_Ivelo
 #
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.new_names
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.new_names	(revision 4529)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.new_names	(revision 4559)
@@ -72,4 +72,7 @@
 VAR1_Isal=sisali
 VAR1_Iage=siages
+VAR1_IvelU=sivelu
+VAR1_IvelV=sivelv
+VAR1_Ivelo=sivelo
 #
 #===================== EXP2 =====================
@@ -92,4 +95,7 @@
 VAR2_Isal=sisali
 VAR2_Iage=siages
+VAR2_IvelU=sivelu
+VAR2_IvelV=sivelv
+VAR2_Ivelo=sivelo
 #
 ######################### Export Variables ###############################
@@ -115,9 +121,9 @@
 export VAR1_T      VAR1_S   VAR1_QNET VAR1_ERP VAR1_EMP VAR1_MLD 
 export VAR1_U      VAR1_V
-export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage
+export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage VAR1_IvelU VAR1_IvelV VAR1_Ivelo
 #===================== EXP2 =====================
 export FILE2_T     FILE2_U    FILE2_V   FILE2_I
 export VAR2_T      VAR2_S     VAR2_QNET VAR2_ERP VAR2_EMP VAR2_MLD 
 export VAR2_U      VAR2_V
-export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage
+export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage VAR2_IvelU VAR2_IvelV VAR2_Ivelo
 #
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.old_names
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.old_names	(revision 4529)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh.old_names	(revision 4559)
@@ -72,4 +72,7 @@
 VAR1_Isal=iicesali
 VAR1_Iage=iiceages
+VAR1_IvelU=iicevelu
+VAR1_IvelV=iicevelv
+VAR1_Ivelo=iicevelo
 #
 #===================== EXP2 =====================
@@ -94,4 +97,7 @@
 VAR2_Isal=iicesali
 VAR2_Iage=iiceages
+VAR2_IvelU=iicevelu
+VAR2_IvelV=iicevelv
+VAR2_Ivelo=iicevelo
 #
 ######################### Export Variables ###############################
@@ -117,9 +123,9 @@
 export VAR1_T      VAR1_S   VAR1_QNET VAR1_ERP VAR1_EMP VAR1_MLD 
 export VAR1_U      VAR1_V
-export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage
+export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage VAR1_IvelU VAR1_IvelV VAR1_Ivelo
 #===================== EXP2 =====================
 export FILE2_T     FILE2_U    FILE2_V   FILE2_I
 export VAR2_T      VAR2_S     VAR2_QNET VAR2_ERP VAR2_EMP VAR2_MLD 
 export VAR2_U      VAR2_V
-export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage
+export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage VAR2_IvelU VAR2_IvelV VAR2_Ivelo
 #
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example1
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example1	(revision 4529)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example1	(revision 4559)
@@ -72,4 +72,7 @@
 VAR1_Isal=iicesali
 VAR1_Iage=iiceages
+VAR1_IvelU=iicevelu
+VAR1_IvelV=iicevelv
+VAR1_Ivelo=iicevelo
 #
 #===================== EXP2 =====================
@@ -92,4 +95,7 @@
 VAR2_Isal=iicesali
 VAR2_Iage=iiceages
+VAR2_IvelU=iicevelu
+VAR2_IvelV=iicevelv
+VAR2_Ivelo=iicevelo
 #
 ######################### Export Variables ###############################
@@ -115,9 +121,9 @@
 export VAR1_T      VAR1_S   VAR1_QNET VAR1_ERP VAR1_EMP VAR1_MLD 
 export VAR1_U      VAR1_V
-export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage
+export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage VAR1_IvelU VAR1_IvelV VAR1_Ivelo
 #===================== EXP2 =====================
 export FILE2_T     FILE2_U    FILE2_V   FILE2_I
 export VAR2_T      VAR2_S     VAR2_QNET VAR2_ERP VAR2_EMP VAR2_MLD 
 export VAR2_U      VAR2_V
-export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage
+export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage VAR2_IvelU VAR2_IvelV VAR2_Ivelo
 #
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example2
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example2	(revision 4529)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example2	(revision 4559)
@@ -72,4 +72,7 @@
 VAR1_Isal=iicesali
 VAR1_Iage=iiceages
+VAR1_IvelU=iicevelu
+VAR1_IvelV=iicevelv
+VAR1_Ivelo=iicevelo
 #
 #===================== EXP2 =====================
@@ -92,4 +95,7 @@
 VAR1_Isal=iicesali
 VAR1_Iage=iiceages
+VAR2_IvelU=iicevelu
+VAR2_IvelV=iicevelv
+VAR2_Ivelo=iicevelo
 #
 ######################### Export Variables ###############################
@@ -115,9 +121,9 @@
 export VAR1_T      VAR1_S   VAR1_QNET VAR1_ERP VAR1_EMP VAR1_MLD 
 export VAR1_U      VAR1_V
-export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage
+export VAR1_Ithick VAR1_Ifrac VAR1_Isnow VAR1_Isal VAR1_Iage VAR1_IvelU VAR1_IvelV VAR1_Ivelo
 #===================== EXP2 =====================
 export FILE2_T     FILE2_U    FILE2_V   FILE2_I
 export VAR2_T      VAR2_S     VAR2_QNET VAR2_ERP VAR2_EMP VAR2_MLD 
 export VAR2_U      VAR2_V
-export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage
+export VAR2_Ithick VAR2_Ifrac VAR2_Isnow VAR2_Isal VAR2_Iage VAR2_IvelU VAR2_IvelV VAR2_Ivelo
 #
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_Vel.pro
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_Vel.pro	(revision 4529)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_ICE_Vel.pro	(revision 4559)
@@ -17,5 +17,8 @@
 @common
 @std_common
-
+; get exp1 info
+  vICE1 = getenv('VAR1_ICE')   &   prefix = getenv('V1ICE_PREF')    &   suffix = getenv('V1ICE_SUFF')
+; get exp2 info
+  vICE2 = getenv('VAR2_ICE')   &   prefix2 = getenv('V2ICE_PREF')   &   suffix2 = getenv('V2ICE_SUFF')
 ; get exp1 info
   vICE_vel_1 = getenv('VAR1_Ivel')   &   prefix = getenv('V1Iv_PREF')  &   suffix = getenv('V1Iv_SUFF')
@@ -34,12 +37,15 @@
   ; ICE Velocity in NORTH Hemisphere
   domdef, 0, jpi-1, 30, 90, /xindex
-  Velo_N = rseries_ncdf(vICE_vel_1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec,/nostruct) ;!! warning positive northward
+  Velo_N = rseries_ncdf(vICE_vel_1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec, /nostruct) ;!! warning positive northward
+  ICE_N_15 = rseries_ncdf(vICE1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec,  /nostruct) 
+  print, 'N15', max(ICE_N_15)
   
-  ;;;;;; if grossempoyenne is not present dimension of array is not ok: 54   Array[180, 54, 120] 
-  ;;;;;; with the domain dimensions [jpi/nx, jpj/ny, jpk/nz, jpt] = [180/180, 149/50, 31/31, 12]
   
-  ICE_velo_N = grossemoyenne(Velo_N, 'xy', /integration, mask2d = masknp)
-  help, ICE_velo_N
-  print, 'max ice velo', max(ICE_velo_N)
+  ICE_N_15[where(ICE_N_15 lt 0.15)] = 0.
+  
+  ICE_velo_N = grossemoyenne( (Velo_N < 1.e10) * (ICE_N_15 < 1.e10), 'xy',/integration, mask2d = masknp)
+  ICE_N_15 = grossemoyenne(ICE_N_15, 'xy',/integration, mask2d = masknp)
+  
+  ICE_velo_N = ICE_velo_N / ICE_N_15
   
   if jpt mod 12 ne 0 then stop
@@ -47,11 +53,11 @@
   ICE_velo_N = reform(ICE_velo_N, 12, nyr)
   ICE_velo_N = total(ICE_velo_N,2)/nyr
-  ICE_velo_N = {arr:ICE_velo_N * 1.e-19 * 86400 * 365, unit : 'm/year'}  
-  help, ICE_velo_N
-  print, 'max ice velo', max(ICE_velo_N.arr)
-    
+  ICE_velo_N = {arr:ICE_velo_N , unit : 'm/s'}  
+   
+ 
   ;ICE Velocity in SOUTH Hemisphere
   domdef, 0, jpi-1, -90, -30, /xindex
   Velo_S = rseries_ncdf(vICE_vel_1, date1, date2, prefix, suffix, FIRSTONLY = 1 - allrec,/nostruct) ;!! warning positive northward
+
    
     
@@ -59,9 +65,11 @@
   jpt=12
   time=julday(1,15,1900)+30*lindgen(12)
-  pltt, ICE_velo_N, 't', /REMPLI, /PORTRAIT, MIN = 0., MAX = 60000000. , XGRIDSTYLE = 1 $
+
+
+  pltt, ICE_velo_N, 't', /REMPLI, /PORTRAIT, XGRIDSTYLE = 1 $
         , small = [1, 2, 1], YTITLE = varunit, TITLE = title, _extra = ex    
   ;
   title ='Southern Hemisphere' +'!C'+prefix+' '+d1_d2+' - '+'!C'+'Ice Velocity (Black SOLID simulation)'
-  pltt, Velo_S, 't',  /REMPLI, MIN = 0., MAX =  60000000., /NOERASE, XGRIDSTYLE = 1 $
+  pltt, Velo_S, 't',  /REMPLI, /NOERASE, XGRIDSTYLE = 1 $
        , small = [1, 2, 2], YTITLE = varunit, TITLE = title, _extra = ex
   ;
@@ -77,5 +85,4 @@
     domdef, 0, jpi-1, 30, 90, /xindex
     Velo_N_2 = rseries_ncdf(vICE_vel_2, date1_2, date2_2, prefix2, suffix2, FIRSTONLY = 1 - allrec,/nostruct)
-    help, Velo_N_2 
     
     ;;;;;; if grossempoyenne is not present dimension of array is not ok: 54   Array[180, 54, 120] 
@@ -83,5 +90,4 @@
   
     ICE_velo_N_2 = grossemoyenne(Velo_N_2, 'xy', /integration, mask2d = masknp)
-    help, ICE_velo_N_2
     print, 'max ice velo', max(ICE_velo_N_2)
   
@@ -91,5 +97,4 @@
     ICE_velo_N_2 = total(ICE_velo_N_2,2)/nyr
     ICE_velo_N_2 = {arr:ICE_velo_N_2 * 86400 * 365, unit : 'm/year'}  
-    help, ICE_velo_N_2
     print, 'max ice velo', max(ICE_velo_N_2.arr)
     
@@ -98,18 +103,20 @@
     domdef, 0, jpi-1, -90, -30, /xindex
     Velo_S_2 = rseries_ncdf(vICE_vel_2, date1_2, date2_2, prefix2, suffix2, FIRSTONLY = 1 - allrec,/nostruct)
-;SF    help, Velo_S_2
       
     if KEYWORD_SET(postscript) then openps, filename+'_2.ps', portrait = 1
 
+    jpt=12
+    time=julday(1,15,1900)+30*lindgen(12)
+
     title = 'Northern Hemisphere'+'!C'+prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2 +'!C'+'Ice Velocity (BLACK) '
-    pltt, ICE_velo_N , 't', MIN = 0., MAX =  60000000. , date1, date2, /REMPLI, XGRIDSTYLE = 1, window = 2  $
+    pltt, ICE_velo_N , 't', /REMPLI, XGRIDSTYLE = 1, window = 2  $
           , small = [1, 2, 1], YTITLE = varunit, TITLE = title, /noerase, _extra = ex
-    pltt, ICE_velo_N_2, 't', date1, date2, /REMPLI $
+    pltt, ICE_velo_N_2, 't', /REMPLI $
           , /ov1d, color = 250, small = [1, 2, 1], YTITLE = varunit, TITLE = title, /noerase, _extra = ex
  
     title = 'Southern Hemisphere'+'!C'+prefix+' (BLACK) - '+prefix2+' (RED) '+d1_d2_2 +'!C'+'Ice Velocity (BLACK) '
-    pltt, Velo_S , 't', MIN = -.04, MAX = .04, date1, date2, /REMPLI, XGRIDSTYLE = 1 $
+    pltt, Velo_S , 't', /REMPLI, XGRIDSTYLE = 1 $
           , small = [1, 2, 2], YTITLE = varunit, TITLE = title, /noerase, _extra = ex
-    pltt, Velo_S_2, 't', date1, date2, /REMPLI $
+    pltt, Velo_S_2, 't', /REMPLI $
          , /ov1d, color = 250, small = [1, 2, 2], YTITLE = varunit, TITLE = title, /noerase, _extra = ex
 
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_all.pro
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_all.pro	(revision 4529)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_all.pro	(revision 4559)
@@ -78,6 +78,6 @@
   IF doplot EQ cnt OR doplot EQ 0 THEN std_ts_ICE_Vol, masknp, POSTSCRIPT = postscript, _extra = ex
 ;
-;SF    cnt = cnt+1   &   blabla = 'ICE Velocity '
-;SF    IF doplot EQ cnt OR doplot EQ 0 THEN std_ts_ICE_Vel, masknp, POSTSCRIPT = postscript, _extra = ex
+  cnt = cnt+1   &   blabla = 'ICE Velocity '
+  IF doplot EQ cnt OR doplot EQ 0 THEN std_ts_ICE_Vel, masknp, POSTSCRIPT = postscript, _extra = ex
 ;
   cnt = cnt+1   &   blabla = 'Sea-Ice Volume Export at Fram Strait'
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh	(revision 4529)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh	(revision 4559)
@@ -18,6 +18,6 @@
 idl_command=/Applications/itt/idl64/bin/idl
 #
-PS_DIR=$( pwd )/ts_heatbug-sbcmodMV_ps
-PDF_DIR=$( pwd )/ts_heatbug-sbcmodMV_pdf
+PS_DIR=$( pwd )/ts_heatbug_ps
+PDF_DIR=$( pwd )/ts_heatbug_pdf
 HTML_DIR=$( pwd )/html
 SAXO_DIR=/Users/sflod/SAXO_DIR
@@ -53,5 +53,5 @@
 #
 #DATE1=20010101   ;   DATE2=25001231
-DATE1=20010101   ;   DATE2=20501231
+DATE1=20310101   ;   DATE2=20401231
 #DATE1=00010101  		;   DATE2=00101231
 #
@@ -72,19 +72,19 @@
 #
 #DATE1_2=20010101   ;   DATE2_2=20101231
-DATE1_2=20010101   ;   DATE2_2=20501231
+DATE1_2=20310101   ;   DATE2_2=20401231
 #DATE1_2=20010101   ;   DATE2_2=25001231
 #
-VAR2_T=thetao      ;   V2T_PREF=sbcmodMV      ;   V2T_SUFF=_1Y_grid_T.nc
-VAR2_S=so          ;   V2S_PREF=sbcmodMV      ;   V2S_SUFF=_1Y_grid_T.nc
-VAR2_SSH=zos       ;   V2SSH_PREF=sbcmodMV    ;   V2SSH_SUFF=_1Y_grid_T.nc
-VAR2_Q=tohfls      ;   V2Q_PREF=sbcmodMV      ;   V2Q_SUFF=_1Y_grid_T.nc
-VAR2_EMP=wfo       ;   V2EMP_PREF=sbcmodMV    ;   V2EMP_SUFF=_1Y_grid_T.nc
-VAR2_U=uocetr_eff  ;   V2U_PREF=sbcmodMV      ;   V2U_SUFF=_1Y_grid_U.nc
-VAR2_V=vocetr_eff  ;   V2V_PREF=sbcmodMV      ;   V2V_SUFF=_1Y_grid_V.nc
-VAR2_ICE=siconc    ;   V2ICE_PREF=sbcmodMV    ;   V2ICE_SUFF=_1M_icemod.nc
-VAR2_Ithick=sithic ;   V2It_PREF=sbcmodMV     ;   V2It_SUFF=_1M_icemod.nc
-VAR2_SNOW=sndept   ;   V2SNOW_PREF=sbcmodMV   ;   V2SNOW_SUFF=_1M_icemod.nc
-VAR2_IvelV=sivelv  ;   V2IvV_PREF=sbcmodMV    ;   V2IvV_SUFF=_1M_icemod.nc
-VAR2_Ivel=sivelo   ;   V2Iv_PREF=sbcmodMV     ;   V2Iv_SUFF=_1M_icemod.nc
+VAR2_T=thetao      ;   V2T_PREF=heatbug      ;   V2T_SUFF=_1Y_grid_T.nc
+VAR2_S=so          ;   V2S_PREF=heatbug      ;   V2S_SUFF=_1Y_grid_T.nc
+VAR2_SSH=zos       ;   V2SSH_PREF=heatbug    ;   V2SSH_SUFF=_1Y_grid_T.nc
+VAR2_Q=tohfls      ;   V2Q_PREF=heatbug      ;   V2Q_SUFF=_1Y_grid_T.nc
+VAR2_EMP=wfo       ;   V2EMP_PREF=heatbug    ;   V2EMP_SUFF=_1Y_grid_T.nc
+VAR2_U=uocetr_eff  ;   V2U_PREF=heatbug      ;   V2U_SUFF=_1Y_grid_U.nc
+VAR2_V=vocetr_eff  ;   V2V_PREF=heatbug      ;   V2V_SUFF=_1Y_grid_V.nc
+VAR2_ICE=siconc    ;   V2ICE_PREF=heatbug    ;   V2ICE_SUFF=_1M_icemod.nc
+VAR2_Ithick=sithic ;   V2It_PREF=heatbug     ;   V2It_SUFF=_1M_icemod.nc
+VAR2_SNOW=sndept   ;   V2SNOW_PREF=heatbug   ;   V2SNOW_SUFF=_1M_icemod.nc
+VAR2_IvelV=sivelv  ;   V2IvV_PREF=heatbug    ;   V2IvV_SUFF=_1M_icemod.nc
+VAR2_Ivel=sivelo   ;   V2Iv_PREF=heatbug     ;   V2Iv_SUFF=_1M_icemod.nc
 #
 ######################### Export Variables ###############################
